# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::PolygonSimplifier::Triangle Class Reference

A Triangle as defined by PolygonSimplifier. More...

`#include <PolygonSimplifier.hpp>`

List of all members.

## Public Member Functions
| Triangle ()
void | replaceVertex (Vertex *oldv, Vertex *newv)
void | computeNormal ()
float | computeArea () const
float | computePotentialArea (const Vertex *oldv, const Vertex *newv) const
fvec3 | computePotentialNormal (const Vertex *oldv, const Vertex *newv) const
bool | hasVertex (const Vertex *v) const
bool | checkTriangle () const
QErr | computeQErr () const
const Vertex * | vertex (int index) const
| vertices of the triangle
Vertex * | vertex (int index)
const fvec3 & | normal () const
| normal of the triangle
bool | removed () const
| ara of the triangle
## Protected Attributes
Vertex * | mVertices [3]
| generates the QErr
fvec3 | mNormal
| normal of the triangle
bool | mRemoved
| ara of the triangle
## Friends
class | PolygonSimplifier
class | Vertex

## Detailed Description

A Triangle as defined by PolygonSimplifier.

## Constructor & Destructor Documentation

vl::PolygonSimplifier::Triangle::Triangle | ( |  | ) | `[inline]`

## Member Function Documentation

void vl::PolygonSimplifier::Triangle::replaceVertex | ( | Vertex * | oldv,
|  | Vertex * | newv |
| ) |  |  | `[inline]`

void vl::PolygonSimplifier::Triangle::computeNormal | ( |  | ) | `[inline]`

float vl::PolygonSimplifier::Triangle::computeArea | ( |  | ) | const`[inline]`

float vl::PolygonSimplifier::Triangle::computePotentialArea | ( | const Vertex * | oldv,
|  | const Vertex * | newv |
| ) |  |  | const`[inline]`

fvec3 vl::PolygonSimplifier::Triangle::computePotentialNormal | ( | const Vertex * | oldv,
|  | const Vertex * | newv |
| ) |  |  | const`[inline]`

bool vl::PolygonSimplifier::Triangle::hasVertex | ( | const Vertex * | v | ) | const`[inline]`

bool vl::PolygonSimplifier::Triangle::checkTriangle | ( |  | ) | const`[inline]`

PolygonSimplifier::QErr vl::PolygonSimplifier::Triangle::computeQErr | ( |  | ) | const`[inline]`

const Vertex* vl::PolygonSimplifier::Triangle::vertex | ( | int | index | ) | const`[inline]`

vertices of the triangle

Vertex* vl::PolygonSimplifier::Triangle::vertex | ( | int | index | ) | `[inline]`

const fvec3& vl::PolygonSimplifier::Triangle::normal | ( |  | ) | const`[inline]`

normal of the triangle

bool vl::PolygonSimplifier::Triangle::removed | ( |  | ) | const`[inline]`

ara of the triangle

has this triangle been removed?

## Friends And Related Function Documentation

friend class PolygonSimplifier`[friend]`

friend class Vertex`[friend]`

## Member Data Documentation

Vertex* vl::PolygonSimplifier::Triangle::mVertices[3]`[protected]`

generates the QErr

vertices of the triangle

fvec3 vl::PolygonSimplifier::Triangle::mNormal`[protected]`

normal of the triangle

bool vl::PolygonSimplifier::Triangle::mRemoved`[protected]`

ara of the triangle

has this triangle been removed?

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/PolygonSimplifier.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:01 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.